## ros-indigo-swri-console 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_console)

find_package(catkin REQUIRED COMPONENTS rosbag_storage roscpp rosgraph_msgs)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Boost COMPONENTS chrono REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosbag_storage roscpp rosgraph_msgs
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include 
  ${catkin_INCLUDE_DIRS} 
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Gui_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)
add_definitions(
  ${Qt5Core_DEFINITIONS}
  ${Qt5Gui_DEFINITIONS}
  ${Qt5Widgets_DEFINITIONS}
)

set(QT_USE_QTCORE TRUE)
set(QT_USE_QTGUI TRUE)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

# Build mapviz node
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(src)
file (GLOB UI_FILES
  ui/console_window.ui)
file (GLOB HEADER_FILES
  include/swri_console/bag_reader.h
  include/swri_console/console_master.h
  include/swri_console/console_window.h
  include/swri_console/log_database.h
  include/swri_console/log_database_proxy_model.h
  include/swri_console/node_click_handler.h
  include/swri_console/node_list_model.h
  include/swri_console/rosout_log_loader.h
  include/swri_console/ros_thread.h
  )
file (GLOB SRC_FILES
  src/bag_reader.cpp
  src/console_master.cpp
  src/console_window.cpp
  src/log_database.cpp
  src/node_click_handler.cpp
  src/node_list_model.cpp
  src/log_database_proxy_model.cpp
  src/ros_thread.cpp
  src/rosout_log_loader.cpp
  src/settings_keys.cpp
  )
qt5_add_resources(RCC_SRCS resources/images.qrc)
qt5_wrap_ui(SRC_FILES ${UI_FILES})
qt5_wrap_cpp(SRC_FILES ${HEADER_FILES})

add_executable(swri_console ${HEADER_FILES} ${SRC_FILES} ${RCC_SRCS} src/main.cpp)
target_link_libraries(swri_console
  ${Qt5Core_LIBRARIES}
  ${Qt5Gui_LIBRARIES}
  ${Qt5Widgets_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

catkin_install_python(PROGRAMS  scripts/rosout_agg_recorder
                    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-console (1.1.0-0trusty) trusty; urgency=high

  * Added simple rosout_agg_recorder (#15 <https://github.com/pjreed/swri_console/issues/15>)
  * Change logger levels from within swri_console (#20 <https://github.com/pjreed/swri_console/issues/20>)
  * Load ROS logs and directories of ROS logs
  * Fix compiler warnings found with Clang
  * Add search bar
  * Contributors: Edward Venator, P. J. Reed, Phil Westhart, Victor Murray, elliotjo, jgassaway

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-console (1.0.0-0trusty) trusty; urgency=high

  * Add kinetic and lunar and simplify CI
    - Remove cruft from CI configuration
    - Add ROS kinetic to CI configuration
    - Add ROS lunar to CI configuration
    - Remove shadow-fixed builds from CI configuration. Since this repository has very few catkin dependencies, there's no reason to build for both shadow-fixed and released.
  * Fix compiler warnings
  * Contributors: Edward Venator, P. J. Reed, elliotjo

 -- Elliot Johnson <elliot.johnson@swri.org>  Sat, 01 Apr 2017 05:00:00 -0000

ros-indigo-swri-console (0.2.0-0trusty) trusty; urgency=high

  * Port to Qt5 #16 <https://github.com/swri-robotics/swri_console/issues/16>
  * Contributors: Edward Venator, P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-console (0.1.0-0trusty) trusty; urgency=high

  * Remove settings_keys.h from qt4_wrap_cpp to suppress warning
    There are no QT-wrappable classes in this header, so the QT build emits a
    warning that it's doing nothing on the file. Since it's doing nothing,
    we might as well remove the file from the wrapper macro.
  * Adding support for Travis CI
    This is based on the script provided by ros-industrial at:
    https://github.com/ros-industrial/industrial_ci
  * Fix for issue #12 <https://github.com/swri-robotics/swri_console/issues/12>; "Copy Extended" was only copying blank lines.
  * Add option to alternate row colors for stronger line distinction.
    This uses the QAbstractItemView's alternatingRowColors property
    to alternate the background color of each line in the log list.  You
    can disable the alternating colors by right clicking on the log, and
    your preference should be persistent between sessions.
  * Fix incorrect target in CMakeLists.txt
  * Select all nodes when user hits Ctrl+A in the node list.
    Closes #6 <https://github.com/swri-robotics/swri_console/issues/6>.
  * Sync behavior between saving to bags and text files.
    This closes #10 <https://github.com/swri-robotics/swri_console/issues/10> by using the same behavior when saving to text
    and bag files.  Both now save the same messages that are in the user's
    current view.  Partly because this lets the user save subsets or
    everything by deliberately selecting everything, and partly because it
    was a lot easier to change the save to bag behavior than vice versa.
  * Handle log messages with multiple lines correctly.
    This fixes the console to handle log messages with multiple
    lines correctly.  We're going to be using a little bit more memory
    now, but it shouldn't be a major issue and performance still seems
    great.  Closes #8 <https://github.com/swri-robotics/swri_console/issues/8>.
  * Closes Issue #04 <https://github.com/swri-robotics/swri_console/issues/04> - Subscribe to rosout_agg instead of rosout.
    I spent an hour adding an option to subscribe to either /rosout or
    /rosout_agg thinking that we would still need to listen to /rosout
    when playing back a bag file that only had /rosout recorded. But it
    turns out that the republisher catches those and puts them on
    /rosout_agg anyways. I reverted the changes and just changed RosThread
    to subscribe to /rosout_agg.
  * Fix issue 05 - Node list not clearing out properly.
    The root cause of this problem was that the message count in the log
    database was not being cleared out.  I've refactored the structure a
    little bit to make the dependencies a little cleaner.  The log
    database doesn't know about the NodeListModel anymore (though the
    model now knows about the database).  This puts things more in line
    with the log database just being the main source of information, and
    the node list model and log database proxy being different views onto
    the database.
  * Merge pull request #7 <https://github.com/swri-robotics/swri_console/issues/7> from pjreed/user_settings
    User settings
  * Saving user settings for issue #2 <https://github.com/swri-robotics/swri_console/issues/2>.
  * Fixing a typo that prevented the Fatal-level message from printing.
  * Adds license headers to all code.
  * Adding screenshot for github front page.
  * Adding console_generator.py script to generate fake messages.
  * Create README.md
  * Add url package file.
  * Update package metadata.
    * Adds maintainer and author name
    * Sets license to BSD
    * Adds a more verbose description
  * Remove unused dependency on qt_build, which is gone in Jade.
  * Fix catkin lint
  * Add extended copy option.
    This is an extended version of the copy command that also copies extra
    information like the node name, source file, source line, etc to the
    clipboard.
  * Change default warning color to orange.
    Yellow-on-white is particularly hard for my eyes to read, especially
    out on a vehicle in daylight.
  * Add the ability to write logs to txt or bag files.
  * Fixing an issue with the "install" target.
  * Fixing issues found by cppcheck.
  * Adding the ability to colorize logs.
  * Adding a menu open to read bag files directly.
  * Setting default appropriate default values for some member variables.
  * Adding a visual cue to the "Select All" menu option.
  * Adding the ability to multi-select & copy logs.
  * Cleaning up some catkin_lint issues and adding comments.
  * Fixing issue with master disconnect/reconnect.


=== debian/control ===
Source: ros-indigo-swri-console
Section: misc
Priority: extra
Maintainer: Elliot Johnson <elliot.johnson@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libqt5core5a, libqt5gui5, libqt5opengl5-dev, libqt5widgets5, ros-indigo-catkin, ros-indigo-rosbag-storage, ros-indigo-roscpp, ros-indigo-rosgraph-msgs
Homepage: http://ros.org/wiki/swri_console
Standards-Version: 3.9.2

Package: ros-indigo-swri-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-indigo-rosbag-storage, ros-indigo-roscpp, ros-indigo-rosgraph-msgs
Description: A rosout GUI viewer developed at Southwest Research Insititute as an alternative to rqt_console.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-console//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
